import { AfterContentChecked, ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { MccColorPickerOption } from './color-picker.types';
import { MccColorPickerCollectionService } from './color-picker-collection.service';
export declare class MccColorPickerCollectionComponent implements OnInit, AfterContentChecked {
    private changeDetectorRef;
    private colorPickerCollectionService;
    emptyColor: string;
    /**
     * Hide empty slots
     * Empty slots are the difference between the collection size and limit
     */
    set hideEmpty(value: boolean);
    private _hideEmpty;
    static ngAcceptInputType_hideEmpty: boolean | string;
    /**
     * Name of the collection
     */
    get label(): string;
    set label(value: string);
    private _label;
    /**
     * Array of colors to be displayed
     */
    get colors(): MccColorPickerOption[];
    set colors(values: MccColorPickerOption[]);
    private _colors;
    /**
     * Size limit of the collection
     */
    size: number;
    static ngAcceptInputType_size: number | string;
    /**
     * Show transparent option
     */
    set transparent(value: boolean);
    get transparent(): boolean;
    private _transparent;
    static ngAcceptInputType_transparent: boolean | string;
    /**
     * Emit selected color value
     */
    changeColor: EventEmitter<string>;
    /**
     * Current selected color
     */
    get selectedColor(): string;
    private _selectedColor;
    constructor(changeDetectorRef: ChangeDetectorRef, colorPickerCollectionService: MccColorPickerCollectionService, emptyColor: string);
    ngOnInit(): void;
    ngAfterContentChecked(): void;
    /**
     * Return the difference between the limit and the collection size.
     * Always return 0 when hideEmpty is true
     */
    private _getCollectionDiffSize;
    /**
     * Remove color
     */
    setTransparent(): void;
    /**
     * Emit selected color value
     */
    setColor(option: MccColorPickerOption): void;
}
