import { ElementRef, EventEmitter, Renderer2 } from '@angular/core';
import { MccColorPickerItem, MccColorPickerOption } from './color-picker.types';
/**
 * This directive change the background of the button
 */
export declare class MccColorPickerOptionComponent {
    private render;
    emptyColor: string;
    selectedColorIcon: string;
    selectedColorSvgIcon: string;
    disableSelectedIcon: boolean;
    /**
     * Receive the color
     */
    get color(): MccColorPickerOption;
    set color(value: MccColorPickerOption);
    private _color;
    selectedColor: string;
    colorSelected: EventEmitter<MccColorPickerOption>;
    button: ElementRef<HTMLButtonElement>;
    constructor(render: Renderer2, emptyColor: string, selectedColorIcon: string, selectedColorSvgIcon: string, disableSelectedIcon: boolean);
    get ariaLabel(): string;
    get backgroundColor(): string;
    /**
     * returns class for "black" or "white" icon-color on a collection-item
     */
    getIconColorClassForColor(color: string | MccColorPickerItem): string;
    /**
     * check if a color is the current selected color
     */
    isColorSelected(color: string | MccColorPickerItem): boolean;
}
