import { InjectionToken } from '@angular/core';
import type { Instance } from 'tinycolor2';
/** Contant used as empty color */
export declare const EMPTY_COLOR: InjectionToken<string>;
/** Constante to set usedColorStart from the module import */
export declare const USED_COLORS: InjectionToken<string[]>;
/** Customize selected color icon */
export declare const SELECTED_COLOR_ICON: InjectionToken<string>;
/** Customize selected color svg icon */
export declare const SELECTED_COLOR_SVG_ICON: InjectionToken<string>;
/** Disable selected color icon */
export declare const DISABLE_SELECTED_COLOR_ICON: InjectionToken<boolean>;
/** Enable alpha selector **/
export declare const ENABLE_ALPHA_SELECTOR: InjectionToken<boolean>;
/** Format used for color strings **/
export declare const COLOR_STRING_FORMAT: InjectionToken<ColorStringFormat>;
/**
 *
 */
export interface ColorPickerConfig {
    empty_color?: string;
    used_colors?: string[];
    selected_icon?: string;
    selected_svg_icon?: string;
    disable_selected_icon?: boolean;
    enable_alpha_selector?: boolean;
    color_string_format?: string;
}
/**
 * This interface represents one color. Using this interface instead simple string
 * will help screen readers, because the text attribute ir set to the aria-label of
 * the option
 */
export interface MccColorPickerItem {
    text: string;
    value: string;
}
export declare type MccColorPickerOption = string | MccColorPickerItem;
export declare type MccColorPickerUsedColorPosition = 'top' | 'bottom';
export declare type ColorStringFormat = 'hex' | 'rgb' | 'hsl';
export declare type Color = Instance;
