import { Color, ColorStringFormat } from './color-picker.types';
/**
 * parses a string-representation of a color with tinycolor - returns "null" when not a valid string
 */
export declare function parseColorString(colorString: string): Color | null;
/**
 * converts a TinyColor instance to format "#FFFFFF' or "#FFFFFFFF" with alpha < 1
 */
export declare function toHex(color: Color): string;
/**
 * converts a TinyColor instance to format "rgb(255, 255, 255)" when color has no alpha value and "rgba(255, 255, 255, 0.5)" when alpha < 1
 */
export declare function toRgb(color: Color): string;
/**
 * converts a TinyColor instance to format "hsl(360, 100%, 100%)" when color has no alpha value and "hsla(360, 100%, 100%, 0.5)" when alpha < 1
 */
export declare function toHsl(color: Color): string;
/**
 * converts a TinyColor instance to certain format
 */
export declare function formatColor(color: Color, format: ColorStringFormat): string;
